#
# spec file for package OOKiedokie
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           OOKiedokie
Version:        0.0.0+git.20151230
Release:        3.16
Summary:        A tool for transmitting and receiving OOK-modulated data with SDRs
License:        MIT
Url:            https://github.com/jynik/OOKiedokie
Source:         %{name}-%{version}.tar.xz
Patch0:         OOKiedokie-fix-missing-return-type.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(libbladeRF)

%description
OOKiedokie is a tool intended to help SDR users interface with miscellaneous
wireless devices utilizing On-Off Keying, a very simple form of
Amplitude Shift Keying modulation.

%prep
%setup -q
%patch0 -p1

%build
%cmake
%make_jobs

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/ookiedokie
%{_datadir}/OOKiedokie/

%changelog
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Thu Oct 10 2019 Martin Hauke <mardnh@gmx.de>
- Add patch:
  * OOKiedokie-fix-missing-return-type.patch
* Mon Apr 24 2017 mpluskal@suse.com
- Small packaging cleanup
- Update licensing information
* Sat Feb 20 2016 mardnh@gmx.de
- Update to version 0.0.0.git1451523896.fc2e1ba:
  + ookiedokie: Added debug output denoting opened file
  + ookiedokie: Added support for timestamping RX'd messages
  + devices/p3l-nexa2012: Enable fractional unix timestamp
  + ookiedokie: Added --rx-fmt option for "pretty" or CSV output
  + devices/p3l-nexa2012: Fixed Channel field type
  + ookiedokie: Added --version command line argument
  + ookiedokie: v0.2.0 release
  + build: Unset RELEASE flag
* Wed Dec  9 2015 mardnh@gmx.de
- initial package, version 0.0.0.git1448844497.96417ea
